maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Adrian Shum" <tcs...@taifook.com>
Subject RE: XDoclet2 plugin + Maven2 + Hibernate problem
Date Thu, 24 Aug 2006 10:38:08 GMT
Can anyone give me some idea on this?

>  -----Original Message-----
> From: 	Adrian Shum  
> Sent:	Wednesday, August 16, 2006 2:58 PM
> To:	'users@maven.apache.org'
> Subject:	XDoclet2 plugin + Maven2 + Hibernate problem
> 
> Hi all,
> 
> I tried to use XDoclet2 plugin for Maven2 in order to generate
> Hibernate mapping files.
> 
>       <plugin>
>         <groupId>xdoclet</groupId>
>         <artifactId>maven2-xdoclet2-plugin</artifactId>
>         <version>2.0.5-SNAPSHOT</version>
>         <configuration>
>           <configs>
>             <config>
>               <!-- here's where you specify which xdoclet-plugin to run, by its class
name -->
>               <plugin>org.xdoclet.plugin.hibernate.HibernateMappingPlugin</plugin>
>               <!-- here's some config for your plugin-->
>               <params>
>                 <destdir>target/generated-resources/</destdir>
>                 <version>3.0</version>
>               </params>
>             </config>
>             <!-- run multiple plugins by repeating this <config> element -->
>           </configs>
>         </configuration>
>         <dependencies>
>           <!-- here's where you specify which xdoclet-plugin you need, by its groupId/artifactId,
>                and any additional dependency it might have - although you'll most likely
already
>                have these in your project, so no need to repeat them here -->
>           <dependency>
>             <groupId>xdoclet-plugins</groupId>
>             <artifactId>xdoclet-plugin-hibernate</artifactId>
>             <version>1.0.3</version>
>           </dependency>
>         </dependencies>
>         <executions>
>           <execution>
>             <goals>
>               <goal>xdoclet</goal>
>             </goals>
>           </execution>
>         </executions>
>       </plugin>
> 
> 
> However, it failed to run which give me the following error messages:
> 
> Missing:
> ----------
> 1) xdoclet-plugins:xdoclet-plugin-qtags:jar:${pom.currentVersion}
> (something deleted)
> ----------
> 1 required artifact is missing.
> 
> for artifact:
>   xdoclet:maven2-xdoclet2-plugin:maven-plugin:2.0.5-SNAPSHOT
> 
> 
> 
> I bet this is one of the dependent artifacts.  However, it look strange to me that the
version is 
> not something expanded correctly.  Even I want to download the jar and install locally,
I don't 
> really know what should be the version I required to deploy the artifact as.
> 
> Did I make any mistakes in the POM?
> 
> One more related problem,  though I have setup the legacy repository correctly as what
> described in http://xdoclet.codehaus.org/Maven2+Plugin, mvn still failed to download
the
> plugin.  At last I downloaded the JAR and install locally (and it works). What maybe
the 
> problem causing this?
> 
> Thanks a lot.
> 
> 
> Best regards,
> Adrian
> 
> 

This email is confidential. If you are not the intended recipient, please delete it from your
system and notify the sender immediately. Any unauthorized use, disclosure, dissemination
or copying of this email is prohibited. Taifook Securities Group, its group companies and
their content providers ("Parties") shall not be responsible for the accuracy or completeness
of this email or its attachment, if any, which could contain virus, be corrupted, destroyed,
incomplete, intercepted, lost or arrive late.   The Parites do not accept liability for any
damage caused by this email.


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message